### R code from vignette source 'doc_by_val.rnw'

###################################################
### code chunk number 1: doc_by_val.rnw:140-142
###################################################
library(docval)
data(willenbrock)


###################################################
### code chunk number 2: doc_by_val.rnw:144-145
###################################################
abo.w


###################################################
### code chunk number 3: doc_by_val.rnw:148-150
###################################################
exs.rma  = wrap.val(abo.w[,-10],method="rma")
scl.rma  = preproc(description(exs.rma))$val


###################################################
### code chunk number 4: doc_by_val.rnw:153-155
###################################################
exs.vsn  = wrap.val(abo.w[,-10],method="vsn")
scl.vsn  = preproc(description(exs.vsn))$val


###################################################
### code chunk number 5: doc_by_val.rnw:166-169
###################################################
 labs    = ((as.numeric(pData(abo.w)$IMMUN == "T")-1/2)*2)[-10]
 sig.vsn =  pamr.fil(exs.vsn,labs,fil=FALSE) 
 sig.rma =  pamr.fil(exs.rma,labs,fil=FALSE)


###################################################
### code chunk number 6: doc_by_val.rnw:178-180
###################################################
sig.byval.rma = list(sig=sig.rma, scl=scl.rma)
sig.byval.vsn = list(sig=sig.vsn, scl=scl.vsn)


###################################################
### code chunk number 7: doc_by_val.rnw:195-197
###################################################
abo.extrnl = abo.w[,10]



###################################################
### code chunk number 8: doc_by_val.rnw:204-206
###################################################
exs.extrnl.rma = wrap.val.add(abo.extrnl,sig.byval.rma$scl,method="rma")
exs.extrnl.vsn = wrap.val.add(abo.extrnl,sig.byval.vsn$scl,method="vsn")


###################################################
### code chunk number 9: doc_by_val.rnw:210-212
###################################################
diag.rma = sig.byval.rma$sig(exprs(exs.extrnl.rma))
diag.vsn = sig.byval.vsn$sig(exprs(exs.extrnl.vsn))


