#######################################################################################
#######################################################################################
#
# This data set was originally gathered for the following work:
#
# Schmaußer, M. (2005). Auswirkungen verschiedener Stoffwechsellagen auf die Fertilität
# beim Milchrind unter besonderer Berücksichtigung der individuellen Futteraufnahme und
# unter Berücksichtigung verschiedener Melksysteme. PhD thesis, Faculty of Veterinary
# Medicine, University of Munich LMU, Munich.
#
# It was used as an example data set in:
# Strobl, C., Boulesteix, A.-L., and Augustin, T. (2007). Unbiased split selection for 
# classification trees based on the gini index. Computational Statistics & Data Analysis 52,
# 483-501.
#
# Thanks to Michael Schmaußer for allowing us to use the data set in our analysis and
# for allowing us to include an Rda-file containing this data set in the folder
# "./CVIIMCodeData/DataSets_GenitInfCow_and_ProstatecMethyl".
# Thanks also to Carolin Strobl (the first author of the above paper) for providing the
# data set to us.
#
# The Rda-file contains the data as a 'data.frame' named 'GenitInfCow' comprising
# the covariates, the target variable named 'y', the week of the measurement named 'Wo'
# and the index of the cow named 'Kuh'.
#
#######################################################################################
#######################################################################################